Bug 215536 - www/lighttpd: update to 1.4.44
Summary: www/lighttpd: update to 1.4.44
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-24 12:49 UTC by Piotr Kubaj
Modified: 2016-12-28 00:41 UTC (History)
1 user (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
patch (1.64 KB, patch)
2016-12-24 12:49 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-12-24 12:49:20 UTC
Created attachment 178248 [details]
patch

I've attached the patch to update the Lighttpd port to 1.4.44.

I've tested the www/lighttpd and www/lighttpd-mod_h264_streaming ports on Poudriere with 10.3 and 9.3.
Comment 1 Joseph Mingrone freebsd_committer 2016-12-24 14:10:22 UTC
Can you clarifying why files/patch-src_mod__cgi.c is no longer necessary?
Comment 2 Piotr Kubaj freebsd_committer 2016-12-24 14:15:21 UTC
Upstream now correctly recognizes, when pipe2() isn't available. Please look at https://github.com/lighttpd/lighttpd1.4/blob/master/src/mod_cgi.c

I've verified that lighttpd 1.4.44 starts on FreeBSD 9.3-RELEASE with mod_cgi loaded without our local patch, so it should be fine.
Comment 3 Joseph Mingrone freebsd_committer 2016-12-24 17:59:02 UTC
Under review with a few suggested changes.

https://reviews.freebsd.org/D8900
Comment 4 commit-hook freebsd_committer 2016-12-26 20:45:57 UTC
A commit references this bug:

Author: jrm
Date: Mon Dec 26 20:45:43 UTC 2016
New revision: 429570
URL: https://svnweb.freebsd.org/changeset/ports/429570

Log:
  www/lighttpd: Update to version 1.4.44.

  - Removed mod_cgi patch, because upstream now correctly recognizes when
    pipe(2) isn't available.

  While here, modernize and simplify.
  - Use OPT_ when possible.
  - Remove variables that are not referenced or only referenced once.

  PR:		215536
  Submitted by:	pkubaj@anongoth.pl (maintainer)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8900

Changes:
  head/www/lighttpd/Makefile
  head/www/lighttpd/distinfo
  head/www/lighttpd/files/patch-src_mod__cgi.c
  head/www/lighttpd/pkg-plist